Sales Agreement API

  • リリースバージョン: Australia
  • 更新日 2026年03月12日
  • 所要時間:385分
  • The Sales Agreement API provides methods for creating a new sales agreement and retrieving an existing sales agreement of a given sys_id.

    This API works with data in the Sales Agreement Management application, which managers, agents, and administrators use to generate sales agreements from quotes.

    The Sales Agreement API runs in the sn_sales_agmt_core  namespace and requires three plugins to access it:
    • Sales Agreement Data Model (com.sn_sales_agmt_core) ,
    • Product Catalog Management Core (com.sn_prd_pm),
    • Pricing (com.sn_csm_pricing)  

    The API also requires the sn_sales_agmt_core.sales_agreement_integrator  role to access it.

    Most data is retrieved from or updated in the following tables upon calling this API and must be populated for its endpoints to work successfully:
    • Account [customer_account],
    • Product Offering [sn_prd_pm_product_offering],
    • Product Model [cmdb_model],
    • Quote [quote],
    • Quote Line [quote_line],
    • Price List [price_list]
    • Account [customer_account]
    • Price List [sn_csm_pricing_price_list]
    • Product Model [cmdb_model]
    • Product Offering [sn_prd_pm_product_offering]
    • Quote [sn_quote_mgmt_core_quote]
    • Quote Line [sn_quote_mgmt_core_quote_line_item]
    • Sales Agreement  [sn_sales_agmt_core_sales_agreement]
    • Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]
    • Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]
    • Sales Agreement Line Characteristics  [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Sales Agreement - GET /api/sn_sales_agmt_core/salesagreement/{id}

    Retrieve a sales agreement associated with a given sys_id.

    URL format

    Versioned URL: GET /api/sn_sales_agmt_core/v1/salesagreement/{id}

    Default URL: GET /api/sn_sales_agmt_core/salesagreement/{id}

    Supported request parameters

    表 : 1. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    id Required. Sys_id of the sales agreement to retrieve.

    Table: Sales Agreement  [sn_sales_agmt_core_sales_agreement]

    Data type: String

    表 : 2. Query parameters
    Name Description
    display_value Optional. Returns the sales agreement properties in a chosen format.
    Valid values:
    • all: Response contains the name, label, value, display_value, and type properties for all fields   in the sales agreement. For example:
      "state": {
        "display_name": "String",
        "label": "String",
        "name": "String",
        "type": "String",
        "value": "String"  
      }
    • false: Response contains just the value property for all fields   in the sales agreement. For example:
      "state": {   
        "value": "draft" 
      }
    • true: Response contains just the display_value property for all fields   in the sales agreement. For example:
      "state": {   
        "display_value": "Draft" 
      }

    Default: false

    表 : 3. Request body parameters (XML or JSON)
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    表 : 4. Request headers
    Header Description
    Accept Data format of the response body. Only supports application/json.
    Content-Type Data format of the request body. Only supports application/json.
    表 : 5. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    表 : 6. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    403 Forbidden. The user doesn't have access rights to the specified record.
    404 Not found. The requested item wasn't found.

    Response body parameters (JSON or XML)

    Name Description
    result Results of the sales agreement with all its associated information.

    Data type: Object

    "result": {
        "account": {Object},
        "billing_location": {Object},
        "consumer": {Object},
        "contact": {Object},
        "currency": {Object},
        "default_price_list": {Object},
        "ends": {Object},
        "number": {Object},
        "quote": {Object},
        "sales_agreement_lines": [Array]
        "shipping_location": {Object},
        "short_description": {Object},
        "starts": {Object},
        "state": {Object},
        "sys_id": {Object},
        "sys_created_by": {Object},
        "sys_created_on": {Object},
        "sys_updated_by": {Object},
        "sys_updated_on": {Object}
    }
    account Account information associated with the sales agreement.

    Table: Account [customer_account]

    Data type: Object

    "account": {
     "display_value": "String",
     "label": "String",
     "name": "String",
     "type": "String",
     "value": "String"
    }
    account.display_value Display value of the account. Matches account.value.

    Data type: String

    account.label Label of the account.

    Data type: String

    account.name Name of the account.

    Data type: String

    account.type Type of account. Value is always reference.

    Data type: String

    account.value Sys_id of the account.

    Table: Account [customer_account]

    Data type: String

    billing_location Billing address of the sales agreement.

    Updated table: Location [cmn_location]

    Data type: Object

    "billing_location": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    billing_location.display_value Display value of the billing location. Matches billing_location.value.

    Data type: String

    billing_location.label Label of the billing location.

    Data type: String

    billing_location.name Name of the billing location.

    Data type: String

    billing_location.type Type of billing location. Value is always reference.

    Data type: String

    billing_location.value Value of the billing location.

    Data type: String

    consumer Consumer details of the sales agreement.

    Table: Consumer [csm_consumer]

    Data type: Object

    "consumer": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    consumer.display_value Display value of the consumer. Matches consumer.value.

    Data type: String

    consumer.label Label of the consumer.

    Data type: String

    consumer.name Name of the consumer.

    Data type: String

    consumer.type Type of consumer. Value is always reference.

    Data type: String

    consumer.value Value of the consumer.

    Data type: String

    contact Contact information associated with the sales agreement.

    Table: Contact [customer_contact]

    Data type: Object

    "contact": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    contact.display_value Display value of the contact. Matches contact.value.

    Data type: String

    contact.label Label of the contact.

    Data type: String

    contact.name Name of the contact.

    Data type: String

    contact.type Type of contact. Value is always reference.

    Data type: String

    contact.value Value of the contact.

    Data type: String

    currency Currency code associated with the sales agreement.

    Table: Currency [fx_currency]

    Data type: Object

    "currency": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    currency.display_value Display value of the currency. Matches currency.value. For example, USD.

    Data type: String

    currency.label Label of the currency.

    Data type: String

    currency.name Name of the currency.

    Data type: String

    currency.type Type of currency. Value is always reference.

    Data type: String

    currency.value Country currency code of the currency. For example, USD.

    Data type: String

    default_price_list Details about the default price list of the sales agreement.

    Table: Price List [sn_csm_pricing_price_list]

    Data type: Object

    "default_price_list": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    default_price_list.display_value Display value of the default price list.

    Data type: String

    default_price_list.label Label of the default price list.

    Data type: String

    default_price_list.name Name of the default price list.

    Data type: String

    default_price_list.type Type of default price list. Value is always reference.

    Data type: String

    default_price_list.value Sys_id of the default price list.

    Data type: String

    ends End date of the sales agreement.

    Data type: Object

    "ends": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    ends.display_value Display value of the end date. Matches end.value.

    Data type: String

    ends.label Label of the end date.

    Data type: String

    ends.label Name of the end date.

    Data type: String

    ends.type Type of end date. Value is always glide_date.

    Data type: String

    ends.value Value of the end date.

    Format: YYYY-MM-DD

    Data type: String

    number Automatically generated sales agreement number or the number posted .

    Table: Sales Agreement  [sn_sales_agmt_core_sales_agreement]

    Data type: Object

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    number.display_value Display value of the sales agreement number. Matches number.value.

    Data type: String

    number.label Label of the sales agreement number.

    Data type: String

    number.name Name of the sales agreement number.

    Data type: String

    number.type Type of sales agreement number. Value is always String.

    Data type: String

    number.value Value of the sales agreement number. For example, SA0010106.

    Data type: String

    quote Information about the sales agreement quote.

    Table: Quote [sn_quote_mgmt_core_quote]

    Data type: Object

    "quote": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    quote.display_value Display value of the quote.

    Data type: String

    quote.label Label of the quote.

    Data type: String

    quote.name Name of the quote.

    Data type: String

    quote.type Type of quote. Value is always reference.

    Data type: String

    quote.value Sys_id of the quote.

    Data type: String

    sales_agreement_lines List of sales agreement lines under the  sales agreement. 

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Array of objects

    sales_agreement_lines": [
      {
      "child_sales_agreement_lines": [Array]
      "end_date": {Object},
      "number": {Object},
      "parent_line": {Object},
      "price_list": {Object},
      "product_model": {Object},
      "product_offering": {Object},
      "product_specification": {Object},
      "quantity": {Object},
      "quote_line": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line_characteristics": [Array],
      "sales_agreement_line_adjustments": [Array],
      "shipping_location": {Object},
      "short_description": {Object},
      "start_date": {Object},
      "state": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_by": {Object},
      "sys_updated_on": {Object},
      "top_sales_agreement_line": {Object},
      "total_one_time_price": {Object},
      "total_recurring_price": {Object},
      "unit_net_price": {Object},
      "unit_of_measure": {Object},
      }
    ]
    sales_agreement_lines.sales_agreement_line_adjustments List of sales agreement line adjustments.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Array of objects

    "sales_agreement_line_adjustments": [
      {
      "adjustment_source": {Object},
      "adjustment_type": {Object},
      "adjustment_value": {Object},
      "amount": {Object},
      "applicable_to": {Object},
      "number": {Object},
      "quantity": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line": {Object},
      "short_description": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_updated_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_on": {Object},
      "total_amount": {Object}
      }
    ]
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source Source information of the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "adjustment_source": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.display_value Source display value of the sales agreement line adjustment. Matches sales agreement line adjustment.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.label Source label of the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.name Source name of the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.type Source type of sales agreement line adjustment. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.value Source value of the sales agreement line adjustment.
    Possible values:
    • auto
    • manual

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type Information about the sales agreement line adjustment type.

    Data type: Object

    "adjustment_type": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.display_value Display value of the adjustment type.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.label Label of the adjustment type.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.name Name of the adjustment type.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.type Type of adjustment type. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.value Sys_id of the adjustment type.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_value Information about the adjustment value.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "adjustment_type": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.agreement_line_adjustments.adjustment_value.display_value Display value of the adjustment value. Matches adjustment_value.value.

    Data type: Number (decimal)

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.label Label of the adjustment value.

    Data type: String

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.name Name of the adjustment value.

    Data type: String

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.type Type of adjustment. Value is always decimal.

    Data type: String

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.value Number value of the adjustment.

    Data type: Number (decimal)

    sales_agreement_lines.sales_agreement_line_adjustments.amount Information about the amount of the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "amount": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.amount.display_value Display value of the adjustment amount. Matches amount.value. Automatically includes the dollar sign of the associated currency (for example, $0.00 when currency is set to USD).

    Data type: Number (decimal)

    sales_agreement_lines.sales_agreement_line_adjustments.amount.label Label of the adjustment amount.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.amount.name Name of the adjustment amount.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.amount.type Type of the adjustment amount. Value is always currency.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.amount.value Dollar value of the adjustment amount.

    Data type: Number

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to Reference of the entity that the adjustment is applicable to.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "applicable_to": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.display_value Display value of the entity that the adjustment is applicable to. Matches applicable_to.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.label Label of the entity that the adjustment is applicable to.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.name Name of the entity that the adjustment is applicable to.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.type Type of the entity that the adjustment is applicable to. Value is always String.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.value Quantity type that the line adjustment is applicable to.
    Possible values:
    • LUMPSUM_QTY: lipsum quantity
    • UNIT_QTY: unit quantity

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.number Automatically generated sales agreement line adjustments number or the number posted.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.number.display_value Display value of the adjustments number. Matches number.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.number.label Label of the adjustment number.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.number.name Name of the adjustment number.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.number.type Type of the adjustment number. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.number.value Value of the adjustment number. For example, SALA0010004.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.quantity Quantity of product adjusted on the sales agreement line.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "quantity": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.quantity.display_value Display value of the adjustment quantity. Matches quantity.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.label Label of the adjustment quantity.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.name Name of the adjustment quantity.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.type Type of the adjustment quantity. Value is always decimal.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.value Value of the adjustment quantity.

    Data type: Number

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement Reference to the sales agreement associated with the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "quantity": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.display_value Display value of the sales agreement associated with the sales agreement line adjustment. For example, SA0010106.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.label Label of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.name Name of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.type Type of the sales agreement associated with the sales agreement line adjustment. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.value Sys_id of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line Reference to sales agreement line associated with the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "sales_agreement_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.display_value Number of the sales agreement associated with the sales agreement line adjustment. For example, SAL0010126.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.label Label of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.name Name of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.type Type of the sales agreement associated with the sales agreement line adjustment. Value is always String.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.value Sys_id of the sales agreement associated with the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.short_description Brief description detailing the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.short_description.display_value Display value of the short description detailing the particular line adjustment. Matches short_description.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.label Label of the short description detailing the particular line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.name Name of the short description detailing the particular line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.type Type of the short description detailing the particular line adjustment. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.value Value of the short description detailing the particular line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by Name of the user who created the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "created_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.display_value Display value of the user who created the sales agreement line adjustment. Matches created_by.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.label Label of the user who created the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.name Name of the user who created the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.type Type of the user who created the sales agreement line adjustment. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.value Value of the user who created the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on Date and time of when the sales agreement line adjustment was created.

    Data type: Object

    "created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.display_value Display value of the date and time that the line adjustment was created. Matches created_on.value.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.label Label of the date and time that the line adjustment was created.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.name Name of the date and time that the line adjustment was created.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.type Type of the date and time that the line adjustment was created. Value is always glide_date_time.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.value Value of the date and time that the line adjustment was created.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id Sys_id of the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.display_value Display value of the line adjustment sys_id. Matches sys_id.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.label Label of the line adjustment sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.name Name of the line adjustment sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.type Type of the line adjustment sys_id. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.value Value of the line adjustment sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by Name of the user who last updated the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.display_value Display value of the user who last updated the sales agreement line adjustment. Matches updated_by.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.label Label of the user who last updated the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.name Name of the user who last updated the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.type Type of user who last updated the sales agreement line adjustment. Value is always String.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.value Value of the user who last updated the sales agreement line adjustment.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on Date and time when the sales agreement line adjustment was updated.

    Data type: Object

    "updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.display_value Display value of the date and time that the line adjustment was last updated. Matches updated_on.value.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.label Label of the date and time that the line adjustment was last updated.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.name Name of the date and time that the line adjustment was last updated.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.type Type of date and time that the line adjustment was last updated. Value is always glide_date_time.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.value Value of the date and time that the line adjustment was last updated.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount Total amount of the sales agreement line adjustment.

    Table: Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]

    Data type: Object

    "total_amount": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.display_value Display value of the total adjustment amount. Matches total_amount.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.label Label of the total adjustment amount.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.name Name of the total adjustment amount.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.type Type of the total adjustment amount. Value is always currency.

    Data type: String

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.value Value of the total adjustment amount.

    Data type: String represented by a number (float)

    sales_agreement_lines.child_sales_agreement_lines List of sales agreement lines. Follows the same object structure as the sales_agreement_lines object parameter.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Array of objects
    "child_sales_agreement_lines": [
      {
      "end_date": {Object},
      "number": {Object},
      "parent_line": {Object},
      "price_list": {Object},
      "product_model": {Object},
      "product_offering": {Object},
      "product_specification": {Object},
      "quantity": {Object},
      "quote_line": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line_adjustments": [Array],
      "sales_agreement_line_characteristics": [Array],
      "shipping_location": {Object},
      "short_description": {Object},
      "start_date": {Object},
      "state": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_by": {Object},
      "sys_updated_on": {Object},
      "top_sales_agreement_line": {Object},
      "total_one_time_price": {Object},
      "total_recurring_price": {Object},
      "unit_net_price": {Object},
      "unit_of_measure": {Object}
      }
    ]
    sales_agreement_lines.end_date End date of the sales agreement line.

    Data type: Object

    "end_date": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.end_date.display_value Display value of the end date for the sales agreement line. Matches end.value.

    Data type: String

    sales_agreement_lines.end_date.label Label of the end date for the sales agreement line.

    Data type: String

    sales_agreement_lines.end_date.name Name of the end date for the sales agreement line.

    Data type: String

    sales_agreement_lines.end_date.type Type of end date for the sales agreement line. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.end_date.value End date and time value of the sales agreement line.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.number Automatically generated sales agreement line number or the number posted .

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.number.display_value Display value of the sales agreement line number. For example, SAL0010128. Matches number.value.

    Data type: String

    sales_agreement_lines.number.label Label of the number.

    Data type: String

    sales_agreement_lines.number.name Name of the number.

    Data type: String

    sales_agreement_lines.number.type Type of number. Value is always string.

    Data type: String

    sales_agreement_lines.number.value Value of the sales agreement line number. For example, SAL0010128.

    Data type: String

    sales_agreement_lines.parent_line Information about the parent sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "parent_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.parent_line.display_value Display number of the parent sales agreement line. For example, SAL0010126.

    Data type: String

    sales_agreement_lines.parent_line.label Label of the parent sales agreement line.

    Data type: String

    sales_agreement_lines.parent_line.name Name of the parent sales agreement line.

    Data type: String

    sales_agreement_lines.parent_line.type Type of parent sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.parent_line.value Sys_id of the parent sales agreement line.

    Data type: String

    sales_agreement_lines.price_list Price list details of the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "price_list": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.price_list.display_value Display value of the sales agreement line's price list.

    Data type: String

    sales_agreement_lines.price_list.label Label of the sales agreement line's price list.

    Data type: String

    sales_agreement_lines.price_list.name Name of the sales agreement line's price list.

    Data type: String

    sales_agreement_lines.price_list.type Type of sales agreement line's price list. Value is always reference.

    Data type: String

    sales_agreement_lines.price_list.value Sys_id of the price list associated with the sales agreement line.

    Data type: String

    sales_agreement_lines.product_model Details about the product model on the sales agreement line.

    Table: Product Model [cmdb_model]

    Data type: Object

    "product_model": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_model.display_value Display value of the product model on the sales agreement line. Matches product_model.value.

    Data type: String

    sales_agreement_lines.product_model.label Label of the product model on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_model.name Name of the product model on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_model.type Type of product model on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.product_model.value Value of the product model on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_offering Details about the product offering on the sales agreement line.

    Table: Product Offering [sn_prd_pm_product_offering]

    Data type: Object

    "product_offering": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_offering.display_value Display value of the product offering on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_offering.label Label of the product offering on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_offering.name Name of the product offering on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_offering.type Type of product offering on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.product_offering.value Value of the product offering on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_specification Reference to product specification of the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "product_offering": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_specification.display_value Display value of the product offering on the sales agreement line. Matches product_specification.value.

    Data type: String

    sales_agreement_lines.product_specification.label Label of the product specification on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_specification.name Name of the product specification on the sales agreement line.

    Data type: String

    sales_agreement_lines.product_specification.type Type of product specification on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.product_specification.value Value of the product specification on the sales agreement line.

    Data type: String

    sales_agreement_lines.quantity Number of products to add to the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "quantity": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.quantity.display_value Display value of the product quantity on the sales agreement line. Matches quantity.value.

    Data type: String

    sales_agreement_lines.quantity.label Label of the product quantity on the sales agreement line.

    Data type: String

    sales_agreement_lines.quantity.name Name of the product quantity on the sales agreement line.

    Data type: String

    sales_agreement_lines.quantity.type Type of product quantity on the sales agreement line. Value is always decimal.

    Data type: String

    sales_agreement_lines.quantity.value Number of products on the sales agreement line.

    Data type: Number

    sales_agreement_lines.quote_line Reference of the quote line item on the sales agreement line.

    Table: Quote Line [sn_quote_mgmt_core_quote_line_item]

    Data type: Object

    "quote_line": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.quote_line.display_value Display value of the quote line item on the sales agreement line.

    Data type: String

    sales_agreement_lines.quote_line.label Label of the quote line item on the sales agreement line.

    Data type: String

    sales_agreement_lines.quote_line.name Name of the quote line item on the sales agreement line.

    Data type: String

    sales_agreement_lines.quote_line.type Type of quote line item on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.quote_line.value Value of the quote line item on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement Reference to the sales agreement of the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "sales_agreement": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement.display_value Display value of the sales agreement of the sales agreement line. For example, SA0010106.

    Data type: String

    sales_agreement_lines.sales_agreement.label Label of the sales agreement of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement.name Name of the sales agreement of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement.type Type of sales agreement of the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement.value Sys_id of the sales agreement of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics List of sales agreement line characteristics.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Array of objects

    "sales_agreement_line_characteristics": [
     {
       "characteristic": {Object},
       "characteristic_option": {Object},
       "sales_agreement": {Object},
       "sales_agreement_line": {Object},
       "sys_id": {Object},
       "sys_created_by": {Object},
       "sys_updated_by": {Object},
       "sys_created_on": {Object},
       "sys_updated_on": {Object},
       "type": {Object},
       "value": {Object}
      }
    ]
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic Characteristic associated with the sales agreement line.

    Table: sn_prd_pm_characteristic

    Data type: Object

    "characteristic": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.display_value Display value of the characteristic on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.label Label of the characteristic on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.name Name of the characteristic on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.type Type of characteristic on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.value Value of the characteristic on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option Information about the characteristic option on the sales agreement line.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "characteristic_option": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.display_value Display value of the characteristic on the sales agreement line. Matches characteristic_option.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.label Label of the characteristic option on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.name Name of the characteristic option on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.type Type of characteristic option on the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.value Value of the characteristic option on the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement Details of the sales agreement characteristic on the sales agreement line.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "sales_agreement": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.display_value Display value of the sales agreement characteristic. Matches sales_agreement.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.label Label of the sales agreement characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.name Name of the sales agreement characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.type Type of sales agreement characteristic. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.value Value of the sales agreement characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line Details about the characteristic of the sales agreement line.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "sales_agreement_line": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.display_value Display value of the characteristic of the sales agreement line. Matches sales_agreement_line.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.label Characteristic label of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.name Characteristic name of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.type Characteristic type of the sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.value Characteristic value of the sales agreement line.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by Name of the user who created the sales agreement line characteristic.

    Table: User [user]

    Data type: Object

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.display_value Display value of the Created by field. Matches sys_created_by.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.label Label of the Created by field.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.name Name of the Created by field.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.type Type of the Created by field. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.value Value of the Created by field.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on Date and time the sales agreement line characteristic was created.

    Data type: Object

    "sys_created_on": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.display_value Display value of the Created on field. Matches sys_created_on.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.label Label of the Created on field.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.name Name of the Created on field.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.type Type of the Created on field. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.value Value of the Created on field.

    Format: YYYY-DD-MM HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id Sys_id of the sales agreement line characteristic.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "sys_id": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.display_value Display value of the characteristic sys_id. Matches sys_id.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.label Label of the characteristic sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.name Name of the characteristic sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.type Type of the characteristic sys_id. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.id Value of the characteristic sys_id.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by Name of the user who last updated the sales agreement line characteristic.

    Table: User [user]

    Data type: Object

    "sys_updated_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.display_value Display value of the user who updated the characteristic of the sales agreement line item. Matches sys_created_by.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.label Label of the user who updated the characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.name Name of the user who updated the characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.type Type of the user who updated the characteristic. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.value Value of user who updated the characteristic.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on Date and time the sales agreement line characteristic was last updated.

    Data type: Object

    "sys_updated_on": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.display_value Display value of the updated date. Matches updated_on.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.label Label of the updated date.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.name Name of the updated date.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.type Type of the updated date. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.value Value of the updated date.

    Format: YYYY-DD-MM HH:mm:ss

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.type Type of characteristic in the sales agreement line characteristic.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "type": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.type.display_value Display value of the characteristic type. Matches type.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.type.label Label of the characteristic type.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.type.name Name of the characteristic type.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.type.type Type of the characteristic type. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.type.value Value of the characteristic type.
    Possible values:
    • coverage
    • coverage and usage

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.value Value of the characteristic on the sales agreement line.

    Table: Sales Agreement Line Characteristics [sn_sales_agmt_core_sales_agreement_line_characteristic]

    Data type: Object

    "type": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.value.display_value Display value of the characteristic. Matches type.value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.value.label Label of the characteristic value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.value.name Name of the characteristic value.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.value.type Type of the characteristic value. Value is always string.

    Data type: String

    sales_agreement_lines.sales_agreement_line_characteristics.value.value Value of the characteristic.

    Data type: String

    sales_agreement_lines.short_description Brief details describing the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.short_description.display_value Display value of the short description. Matches short_description.value.

    Data type: String

    sales_agreement_lines.short_description.label Label of the short description.

    Data type: String

    sales_agreement_lines.short_description.name Name of the short description.

    Data type: String

    sales_agreement_lines.short_description.type Type of short description. Always of type string.

    Data type: String

    sales_agreement_lines.short_description.value Value of the short description.

    Data type: String

    sales_agreement_lines.start_date Start date of the sales agreement line.

    Data type: Object

    "start_date": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.start_date.display_value Display value of the sales agreement line's start date. Matches start_date.value.

    Data type: String

    sales_agreement_lines.start_date.label Label of the sales agreement line's start date.

    Data type: String

    sales_agreement_lines.start_date.name Name of the sales agreement line's start date.

    Data type: String

    sales_agreement_lines.start_date.type Type of sales agreement line's start date. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.start_date.value Value of the sales agreement line's start date.

    Format: YYYY-MM-DD

    Data type: String

    sales_agreement_lines.state Valid state of the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "state": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.state.display_value Display value of the state. Matches state.value.

    Data type: String

    sales_agreement_lines.state.label Label of the state.

    Data type: String

    sales_agreement_lines.state.name Name of the state.

    Data type: String

    sales_agreement_lines.state.type Type of state. Value is always string.

    Data type: String

    sales_agreement_lines.state.value Value of the state.
    Possible values:
    • pending_activation
    • suspended
    • active
    • expired
    • cancelled

    Data type: String

    sales_agreement_lines.sys_created_by Name of the user who created the sales agreement line.

    Table: User [user]

    Data type: Object

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_created_by.display_value Display value of the user who created the sales agreement line. Matches sys_created_by.value.

    Data type: String

    sales_agreement_lines.sys_created_by.label Label of the user who created the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_created_by.name Name of the user who created the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_created_by.type Type of the Created by field. Value is always string.

    Data type: String

    sales_agreement_lines.sys_created_by.value Value of the user who created the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_created_on Date and time the sales agreement line record was created.

    Data type: Object

    "sys_created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_created_on.display_value Display value of the creation date of the sales agreement line record. Matches sys_created_on.value.

    Data type: String

    sales_agreement_lines.sys_created_on.label Label of the creation date of the sales agreement line record.

    Data type: String

    sales_agreement_lines.sys_created_on.name Name of the creation date of the sales agreement line record.

    Data type: String

    sales_agreement_lines.sys_created_on.type Type of the creation date of the sales agreement line record. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.sys_created_on.value Value of the creation date of the sales agreement line record.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.sys_id Sys_id of the sales agreement line record .

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sys_id.displayValue Display value of the sys_id of the sales agreement line record . Matches sys_id.value.

    Data type: String

    sales_agreement_lines.sys_id.label Automatically-generated name or label of the sales agreement line record  sys_id.

    Data type: String

    sales_agreement_lines.sys_id.type Type of sys_id of the sales agreement line record . Value is always string.

    Data type: String

    sales_agreement_lines.sys_id.value Sys_id number assigned to the sales agreement line record .

    Data type: String

    sales_agreement_lines.sys_updated_by Name of the user who last updated the sales agreement line.

    Table: User [user]

    Data type: Object

    "sys_updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_updated_by.display_value Display value of the user who updated the sales agreement line. Matches sys_updated_by.value.

    Data type: String

    sales_agreement_lines.sys_updated_by.label Label of the user who updated the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_updated_by.name Name of the user who updated the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_updated_by.type Type of the user who updated the sales agreement line. Value is always string.

    Data type: String

    sales_agreement_lines.sys_updated_by.value Value of the user who updated the sales agreement line.

    Data type: String

    sales_agreement_lines.sys_updated_on Date and time the sales agreement line record was last updated.

    Data type: Object

    "sys_updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_updated_on.display_value The display value of the updated date and time on the sales agreement line. Matches sys_updated_on.value.

    Data type: String

    sales_agreement_lines.sys_updated_on.label Label of the updated date and time on the sales agreement line

    Data type: String

    sales_agreement_lines.sys_updated_on.name Name of the updated date and time on the sales agreement line

    Data type: String

    sales_agreement_lines.sys_updated_on.type Type of the updated date and time on the sales agreement line. Value is always glide_date_time.

    Data type: String

    sales_agreement_lines.sys_updated_on.value Value of the updated date and time on the sales agreement line

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sales_agreement_lines.top_sales_agreement_line Information about the top sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "top_sales_agreement_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.top_sales_agreement_line.display_value Display value of the top sales agreement line. Matches top_sales_agreement_line.value.

    Data type: String

    sales_agreement_lines.top_sales_agreement_line.label Label of the top sales agreement line.

    Data type: String

    sales_agreement_lines.top_sales_agreement_line.name Name the top sales agreement line.

    Data type: String

    sales_agreement_lines.top_sales_agreement_line.type Type of the top sales agreement line. Value is always reference.

    Data type: String

    sales_agreement_lines.top_sales_agreement_line.value Value of the top sales agreement line.

    Data type: String

    sales_agreement_lines.total_one_time_price Total one-time charges to be paid for the product or service.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "total_one_time_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.total_one_time_price.display_value Display value of the total one time price. Matches total_one_time_price.value.

    Data type: String

    sales_agreement_lines.total_one_time_price.label Label of the total one time price.

    Data type: String

    sales_agreement_lines.total_one_time_price.name Name of the total one time price.

    Data type: String

    sales_agreement_lines.total_one_time_price.type Type of the total one time price. Value is always decimal.

    Data type: String

    sales_agreement_lines.total_one_time_price.value Value of the total one time price.

    Data type: String represented as a number (currency)

    sales_agreement_lines.total_recurring_price Total recurring price for the product associated with the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "total_recurring_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.total_recurring_price.display_value Display value of the total one time price. Matches total_recurring_price.value.

    Data type: String

    sales_agreement_lines.total_recurring_price.label Label of the total recurring price.

    Data type: String

    sales_agreement_lines.total_recurring_price.name Name of the total recurring price.

    Data type: String

    sales_agreement_lines.total_recurring_price.type Type of the total recurring price. Value is always decimal.

    Data type: String

    sales_agreement_lines.total_recurring_price.value Value of the total recurring price.

    Data type: String represented as a number (currency)

    sales_agreement_lines.unit_net_price The price for each unit within the sales agreement line.

    Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

    Data type: Object

    "unit_net_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.unit_net_price Display value of the unit net price. Matches unit_net_price.value.

    Data type: String

    sales_agreement_lines.unit_net_price Label of the unit net price.

    Data type: String

    sales_agreement_lines.unit_net_price Name of the unit net price.

    Data type: String

    sales_agreement_lines.unit_net_price Type of the unit net price. Value is always decimal.

    Data type: String

    sales_agreement_lines.unit_net_price Value of the unit net price.

    Data type: String represented as a number (currency)

    sales_agreement_lines.unit_of_measurement Unit of measurement of the sales agreement line.

    Table: Unit of measures [sn_prd_pm_uom_list]

    Data type: Object

    "unit_of_measurement": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.unit_of_measurement.display_value Display value of the unit of measurement. Matches unit_of_measurement.value.

    Data type: String

    sales_agreement_lines.unit_of_measurement.label Label of the unit of measurement.

    Data type: String

    sales_agreement_lines.unit_of_measurement.name Name of the unit of measurement.

    Data type: String

    sales_agreement_lines.unit_of_measurement.type Type of the unit of measurement. Value is always reference.

    Data type: String

    sales_agreement_lines.unit_of_measurement.value Value of the unit of measurement. For example, bundle or each.

    Data type: String

    shipping_location Shipping address details on the sales agreement.

    Table: Location [location]

    Data type: Object

    "unit_of_measure": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    shipping_location.display_value Display value of the shipping location.

    Data type: String

    shipping_location.label Label of the shipping location.

    Data type: String

    shipping_location.name Name of the shipping location.

    Data type: String

    shipping_location.type Type of shipping location. Value is always reference.

    Data type: String

    shipping_location.value Value of the shipping location. For example, an address.

    Data type: String

    short_description Brief details describing the sales agreement.

    Table: Sales Agreement  [sn_sales_agmt_core_sales_agreement]

    Data type: Object

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    short_description.display_value Display value of the short description. Matches short_description.value.

    Data type: String

    short_description.label Label of the short description.

    Data type: String

    short_description.name Name of the short description.

    Data type: String

    short_description.type Type of short description. Always of type string.

    Data type: String

    short_description.value Value of the short description.

    Data type: String

    starts Start date of the sales agreement.

    Data type: Object

    "starts": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    starts.display_value Display value of the start date. Matches start.value.

    Data type: String

    starts.label Label of the start date.

    Data type: String

    starts.name Name of the start date.

    Data type: String

    starts.type Type of start date. Value is always glide_date_time

    Data type: String

    starts.value Value of the start date.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    state State of the sales agreement.

    Table: Sales Agreement  [sn_sales_agmt_core_sales_agreement]

    Data type: Object

    "state": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    state.display_value Display value of the state. Matches state.value.

    Data type: String

    state.lable Label of the state.

    Data type: String

    state.name Name of the state.

    Data type: String

    state.type Type of state. Value is always string.

    Data type: String

    state.value Value of the state.
    Possible values:
    • active
    • cancelled
    • draft
    • expired

    Data type: String

    sys_created_by Name of the user who created the sales agreement.

    Table: User [user]

    Data type: Object

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_created_by.display_value Display value of the user who created the sales agreement. Matches sys_created_by.value.

    Data type: String

    sys_created_by.label Label of the user who created the sales agreement.

    Data type: String

    sys_created_by.name Name of the user who created the sales agreement.

    Data type: String

    sys_created_by.type Type of the user who created the sales agreement. Value is always string.

    Data type: String

    sys_created_by.value Value of the user who created the sales agreement.

    Data type: String

    sys_created_on Details about the date and time that the sales agreement was created.

    Data type: Object

    "sys_created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_created_on.display_value Display value of the creation date and time. Matches sys_created_on.value.

    Data type: String

    sys_created_on.label Label of the creation date and time.

    Data type: String

    sys_created_on.name Name of the creation date and time.

    Data type: String

    sys_created_on.type Type of the creation date and time. Value is always string.

    Data type: String

    sys_created_on.value Value of the creation date and time.

    Data type: String

    sys_id Sys_id   of the newly created sales agreement.

    Table: Sales Agreement  [sn_sales_agmt_core_sales_agreement]

    Data type: Object

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sys_id.displayValue Display value of the unique sys_id value. Matches sys_id.value.

    Data type: String

    sys_id.label Automatically generated name or label of the sys_id.

    Data type: String

    sys_id.type Type of sys_id given to the sales agreement. Value is always GUID.

    Data type: String

    sys_id.value Sys_id number assigned to the new sales agreement.

    Data type: String

    sys_updated_by Name of the user who last updated the sales agreement.

    Table: User [user]

    Data type: Object

    "sys_updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_updated_by.display_value Display value of the user who updated the sales agreement. Matches sys_updated_by.value.

    Data type: String

    sys_updated_by.label Label of the user who updated the sales agreement.

    Data type: String

    sys_updated_by.name Name of the user who updated the sales agreement.

    Data type: String

    sys_updated_by.type Type of the user who updated the sales agreement. Value is always string.

    Data type: String

    sys_updated_by.value Value of the user who updated the sales agreement.

    Data type: String

    sys_updated_on Details about the date and time that the sales agreement was updated.

    Data type: Object

    "sys_updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_updated_on.display_value Date and time value of the updated sales agreement. Matches sys_updated_on.value.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    sys_updated_on.label Label of the updated sales agreement.

    Data type: String

    sys_updated_on.name Name of the updated sales agreement.

    Data type: String

    sys_updated_on.type Type of the updated sales agreement. Value is always glide_date_time.

    Data type: String

    sys_updated_on.value Date and time value of the updated sales agreement.

    Format: YYYY-MM-DD HH:mm:ss

    Data type: String

    cURL request

    The following example returns the sales agreement information associated with the given sys_id and the optional display_value parameter set to true so that display values are provided in the response body.

    
    curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    Response body. The response shows the display_values for every parameter of the given sales agreement.
    {
      "result": {
        "sys_id": {
          "display_value": "eb853fe5b5165610f87786d3c2884335"
        },
        "sys_created_by": {
          "display_value": "maint"
        },
        "sys_updated_by": {
          "display_value": "maint"
        },
        "sys_created_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "sys_updated_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "account": {
          "display_value": "Boxeo"
        },
        "consumer": {
          "display_value": ""
        },
        "number": {
          "display_value": "SA0010004"
        },
        "state": {
          "display_value": "Active"
        },
        "starts": {
          "display_value": "2024-01-01"
        },
        "ends": {
          "display_value": "2024-12-31"
        },
        "short_description": {
          "display_value": "This is a Sa created by API"
        },
        "currency": {
          "display_value": "USD"
        },
        "default_price_list": {
          "display_value": "SA Price List"
        },
        "billing_location": {
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "contact": {
          "display_value": "Alex Linde"
        },
        "shipping_location": {
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "quote": {
          "display_value": "QT0000001"
        },
        "sales_agreement_lines": [
          {
            "sys_id": {
              "display_value": "af853fe5b5165610f87786d3c2884339"
            },
            "sys_created_by": {
              "display_value": "maint"
            },
            "sys_updated_by": {
              "display_value": "maint"
            },
            "sys_created_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sys_updated_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "number": {
              "display_value": "SAL0010003"
            },
            "sales_agreement": {
              "display_value": "SA0010004"
            },
            "short_description": {
              "display_value": "this is sample sa line 1"
            },
            "start_date": {
              "display_value": "2024-11-10"
            },
            "end_date": {
              "display_value": "2024-12-31"
            },
            "state": {
              "display_value": "Active"
            },
            "product_offering": {
              "display_value": "Home Automation Bundle"
            },
            "product_specification": {
              "display_value": ""
            },
            "product_model": {
              "display_value": ""
            },
            "price_list": {
              "display_value": "SA Price List"
            },
            "parent_line": {
              "display_value": ""
            },
            "unit_net_price": {
              "display_value": "£314.2315"
            },
            "quantity": {
              "display_value": "2"
            },
            "unit_of_measurement": {
              "display_value": "Each"
            },
            "shipping_location": {
              "display_value": "100 South Charles Street, Baltimore,MD"
            },
            "total_one_time_price": {
              "display_value": "£314.2315"
            },
            "total_recurring_price": {
              "display_value": "£0.00"
            },
            "top_sales_agreement_line": {
              "display_value": "SAL0010003"
            },
            "quote_line": {
              "display_value": ""
            },
            "child_sales_agreement_lines": [
              {
                "sys_id": {
                  "display_value": "eb85f329b5165610f87786d3c2884318"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "number": {
                  "display_value": "SAL0010004"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "short_description": {
                  "display_value": "this is sample child sa line 1"
                },
                "start_date": {
                  "display_value": "2024-11-11"
                },
                "end_date": {
                  "display_value": "2024-12-31"
                },
                "state": {
                  "display_value": "Active"
                },
                "product_offering": {
                  "display_value": "Home Automation Hub"
                },
                "product_specification": {
                  "display_value": ""
                },
                "product_model": {
                  "display_value": ""
                },
                "price_list": {
                  "display_value": "SA Price List"
                },
                "parent_line": {
                  "display_value": "SAL0010003"
                },
                "unit_net_price": {
                  "display_value": "£94.2694"
                },
                "quantity": {
                  "display_value": "2"
                },
                "unit_of_measurement": {
                  "display_value": "Each"
                },
                "shipping_location": {
                  "display_value": "100 South Charles Street, Baltimore,MD"
                },
                "total_one_time_price": {
                  "display_value": "£94.2694"
                },
                "total_recurring_price": {
                  "display_value": "£0.00"
                },
                "top_sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "quote_line": {
                  "display_value": ""
                },
                "child_sales_agreement_lines": [],
                "sales_agreement_line_characteristics": [
                  {
                    "sys_id": {
                      "display_value": "e385f329b5165610f87786d3c288431a"
                    },
                    "sys_created_by": {
                      "display_value": "maint"
                    },
                    "sys_updated_by": {
                      "display_value": "maint"
                    },
                    "sys_created_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sys_updated_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sales_agreement": {
                      "display_value": "SA0010004"
                    },
                    "sales_agreement_line": {
                      "display_value": "SAL0010004"
                    },
                    "characteristic": {
                      "display_value": "Connectivity Tech"
                    },
                    "type": {
                      "display_value": null
                    },
                    "characteristic_option": {
                      "display_value": "3G"
                    },
                    "value": {
                      "display_value": "3G"
                    }
                  }
                ],
                "sales_agreement_line_adjustments": [
                  {
                    "sys_id": {
                      "display_value": "2385f329b5165610f87786d3c288431b"
                    },
                    "sys_created_by": {
                      "display_value": "maint"
                    },
                    "sys_updated_by": {
                      "display_value": "maint"
                    },
                    "sys_created_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sys_updated_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sales_agreement": {
                      "display_value": "SA0010004"
                    },
                    "sales_agreement_line": {
                      "display_value": "SAL0010004"
                    },
                    "adjustment_type": {
                      "display_value": "Markdown %"
                    },
                    "adjustment_source": {
                      "display_value": "Manual"
                    },
                    "adjustment_value": {
                      "display_value": "20"
                    },
                    "applicable_to": {
                      "display_value": "Unit Quantity"
                    },
                    "short_description": {
                      "display_value": "Price adjustment"
                    },
                    "number": {
                      "display_value": "SALA0010004"
                    },
                    "quantity": {
                      "display_value": "1"
                    },
                    "total_amount": {
                      "display_value": "£28.00"
                    },
                    "amount": {
                      "display_value": "£28.00"
                    }
                  }
                ]
              }
            ],
            "sales_agreement_line_characteristics": [
              {
                "sys_id": {
                  "display_value": "a785f329b5165610f87786d3c2884315"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "characteristic": {
                  "display_value": "Connectivity Tech"
                },
                "type": {
                  "display_value": null
                },
                "characteristic_option": {
                  "display_value": "3G"
                },
                "value": {
                  "display_value": "3G"
                }
              }
            ],
            "sales_agreement_line_adjustments": [
              {
                "sys_id": {
                  "display_value": "2b85f329b5165610f87786d3c2884316"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "adjustment_type": {
                  "display_value": "Markdown %"
                },
                "adjustment_source": {
                  "display_value": "Auto"
                },
                "adjustment_value": {
                  "display_value": "10"
                },
                "applicable_to": {
                  "display_value": "Unit Quantity"
                },
                "short_description": {
                  "display_value": "Price adjustment"
                },
                "number": {
                  "display_value": "SALA0010003"
                },
                "quantity": {
                  "display_value": "3"
                },
                "total_amount": {
                  "display_value": "£120.00"
                },
                "amount": {
                  "display_value": "£40.00"
                }
              }
            ]
          }
        ]
      }
    }

    cURL request

    The following example returns the sales agreement information associated with the given sys_id and the optional display_value parameter set to all so that all parameter values are provided in the response body.

    
    curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
      "state": "active",
      "account": "86837a386f0331003b3c498f5d3ee4ca",
      "starts": "2024-01-01",
      "ends": "2024-12-31",
      "short_description": "this is a sample sales agreement",
      "quote": "04ba9004f11f3110f8777d7194f166f6",
      "default_price_list": "19d29513d0e63110f8770dbf976be122",
      "contact": "",
      "name": "",
      "description": "",
      "currency": "",
      "sales_agreement_lines": [
        {
          "start_date": "2024-02-01",
          "end_date": "2024-11-30",
          "short_description": "this is sample sa line 1",
          "state": "active",
          "quantity": "",
          "price_list": "19d29513d0e63110f8770dbf976be122",
          "product_offering": "",
          "product_specification": "",
          "product_model": "",
          "unit_net_price": "",
          "unit_of_measure": "",
          "shipping_location": "",
          "billing_location": "",
          "total_one_time_price": "",
          "total_recurring_price": "",
          "quote_line": "",
          "child_sales_agreement_lines": [
            {
              "start_date": "2024-02-01",
              "end_date": "2024-11-30",
              "short_description": "this is sample sa line 1",
              "state": "active",
              "quantity": "",
              "price_list": "19d29513d0e63110f8770dbf976be122",
              "product_offering": "",
              "product_specification": "",
              "product_model": "",
              "unit_net_price": "",
              "unit_of_measure": "",
              "shipping_location": "",
              "billing_location": "",
              "total_one_time_price": "",
              "total_recurring_price": "",
              "quote_line": "",
              "sales_agreement_line_characteristics": [
                {
                  "characteristic": "4d289f1a775131108e191e599a5a99c7",
                  "type": "coverage",
                  "characteristic_option": "",
                  "value": ""
                }
              ]
            },
            {
              "start_date": "2024-02-01",
              "end_date": "2024-11-30",
              "short_description": "this is sample sa line 1",
              "state": "active",
              "quantity": "",
              "price_list": "19d29513d0e63110f8770dbf976be122",
              "product_offering": "",
              "product_specification": "",
              "product_model": "",
              "unit_net_price": "",
              "unit_of_measure": "",
              "shipping_location": "",
              "billing_location": "",
              "total_one_time_price": "",
              "total_recurring_price": "",
              "quote_line": "",
              "sales_agreement_line_characteristics": [
                {
                  "characteristic": "4d289f1a775131108e191e599a5a99c7",
                  "type": "coverage",
                  "characteristic_option": "",
                  "value": ""
                }
              ]
            }
          ],
          "sales_agreement_line_characteristics": [
            {
              "characteristic": "4d289f1a775131108e191e599a5a99c7",
              "type": "coverage",
              "characteristic_option": "",
              "value": ""
            }
          ],
          "sales_agreement_line_adjustments": [
            {
              "total_amount": "",
              "quantity": 3,
              "amount": "",
              "short_description": "line adjustment",
              "adjustment_value": "123",
              "adjustment_source": "",
              "adjustment_type": "d88bc79653dd91105c0eddeeff7b12c1",
              "applicable_to": ""
            }
          ]
        }
      ]
    }"

    Response body. The response shows all parameters of the given sales agreement.

    {
      "result": {
        "sys_id": {
          "label": "Sys ID",
          "value": "bc93e08a78755a10f8777f88938ba1d8",
          "displayValue": "bc93e08a78755a10f8777f88938ba1d8",
          "type": "GUID"
        },
        "sys_created_by": {
          "name": "sys_created_by",
          "label": "Created by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_updated_by": {
          "name": "sys_updated_by",
          "label": "Updated by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_created_on": {
          "name": "sys_created_on",
          "label": "Created",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "sys_updated_on": {
          "name": "sys_updated_on",
          "label": "Updated",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "name": null,
        "account": {
          "name": "account",
          "label": "Account",
          "value": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo",
          "type": "reference"
        },
        "consumer": {
          "name": "consumer",
          "label": "Consumer",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "number": {
          "name": "number",
          "label": "Number",
          "value": "SA0010106",
          "display_value": "SA0010106",
          "type": "string"
        },
        "state": {
          "name": "state",
          "label": "State",
          "value": "active",
          "display_value": "Active",
          "type": "string"
        },
        "starts": {
          "name": "starts",
          "label": "Start date",
          "value": "2024-01-01",
          "display_value": "2024-01-01",
          "type": "glide_date"
        },
        "ends": {
          "name": "ends",
          "label": "End date",
          "value": "2024-12-31",
          "display_value": "2024-12-31",
          "type": "glide_date"
        },
        "short_description": {
          "name": "short_description",
          "label": "Short description",
          "value": "this is a sample sales agreement",
          "display_value": "this is a sample sales agreement",
          "type": "string"
        },
        "description": {
          "name": "description",
          "label": "Description",
          "value": null,
          "display_value": "",
          "type": "string"
        },
        "currency": {
          "name": "currency",
          "label": "Currency",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "default_price_list": {
          "name": "default_price_list",
          "label": "Default price list",
          "value": "19d29513d0e63110f8770dbf976be122",
          "display_value": "Standard Price List",
          "type": "reference"
        },
        "billing_location": {
          "name": "billing_location",
[...]
